package com.nivesh.production.niveshfd.partnerOnBoarding.ui.fragments1

import android.os.Bundle
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import com.nivesh.production.niveshfd.databinding.FragmentPagerStepOneBinding
import com.nivesh.production.niveshfd.fd.ui.activity.NiveshFdMainActivity
import com.nivesh.production.niveshfd.partnerOnBoarding.ui.activities1.ViewPagerActivity

class StepOnePagerFragment : Fragment() {
    private var _binding: FragmentPagerStepOneBinding? = null
    private val binding get() = _binding!!

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?
    ): View {
        _binding = FragmentPagerStepOneBinding.inflate(inflater, container, false)
        return binding.root
    }


    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        init()
    }

    private fun init() {
        binding.btnNext.setOnClickListener{
            (activity as ViewPagerActivity).stepTwoApi()
        }

    }
}